<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Type Aliases  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
    <script src="js/lunr.min.js" defer></script>
    <script src="js/typeahead.jquery.js" defer></script>
    <script src="js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Section/Type Aliases" class="dashAnchor"></a>
    <a title="Type Aliases  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">madme_ios_sdk 6.2.1 Docs</a></p>
        <div class="header-right">
          <form role="search" action="search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">madme_ios_sdk Reference</a>
        <img id="carat" src="img/carat.png" alt=""/>
        Type Aliases  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/AES.html">AES</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Variant.html">– Variant</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Encryptor.html">– Encryptor</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMAdPresentationError.html">MMAdPresentationError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMCampaign.html">MMCampaign</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMError.html">MMError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMGenericUserAccountStatusChangeContext.html">MMGenericUserAccountStatusChangeContext</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMHomeScreenOption.html">MMHomeScreenOption</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMNotificationProcessingError.html">MMNotificationProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMPrivateInitObject.html">MMPrivateInitObject</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMSdk.html">MMSdk</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMUrlProcessingError.html">MMUrlProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMUrlSessionEventsProcessingError.html">MMUrlSessionEventsProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:@M@madme_ios_sdk@objc(cs)MMViewedNoSurveyNoRatingCampaignContext">MMViewedNoSurveyNoRatingCampaignContext</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/BlockMode.html">BlockMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/CipherError.html">CipherError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAdPresentationMode.html">MMAdPresentationMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAdPresentationResultState.html">MMAdPresentationResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAggregateQualifier.html">MMAggregateQualifier</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMHomeScreenOptionType.html">MMHomeScreenOptionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMNotificationProcessingResultState.html">MMNotificationProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUrlProcessingResultState.html">MMUrlProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUrlSessionEventsProcessingResultState.html">MMUrlSessionEventsProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUserAccountStatus.html">MMUserAccountStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums.html#/PKCS7">PKCS7</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/Padding.html">Padding</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions/Array.html">Array</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMCarouselCollectionViewController">MMCarouselCollectionViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMGeoFencingCampaignDetailsViewController">MMGeoFencingCampaignDetailsViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMPlist">MMPlist</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/NSNotification.html">NSNotification</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/Notification.html">Notification</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/Notification/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/SecureBytes">SecureBytes</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/UIControl">UIControl</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/UINavigationController.html">UINavigationController</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/Cipher.html">Cipher</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/Cryptors.html">Cryptors</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMAdPresentationResultProtocol.html">MMAdPresentationResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProtocol">MMCampaignContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProviderProtocol">MMCampaignContextProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMClientIdentityProviderProtocol.html">MMClientIdentityProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMNotificationProcessingResultProtocol.html">MMNotificationProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMSdkDelegateProtocol">MMSdkDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUrlProcessingResultProtocol.html">MMUrlProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUrlSessionEventsProcessingResultProtocol.html">MMUrlSessionEventsProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUserAccountStatusChangeContextProtocol.html">MMUserAccountStatusChangeContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUserAccountStatusDelegateProtocol.html">MMUserAccountStatusDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/PaddingProtocol.html">PaddingProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/Updatable.html">Updatable</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Structs/Digest.html">Digest</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Typealiases.html#/s:13madme_ios_sdk12MMIdentifiera">MMIdentifier</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Type Aliases</h1>
            <p>The following type aliases are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMIdentifier"></a>
                <a name="//apple_ref/swift/Section/MMIdentifier" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMIdentifier"></a>
                  <h3 class="section-name"><span>MMIdentifier</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13madme_ios_sdk12MMIdentifiera"></a>
                    <a name="//apple_ref/swift/Alias/MMIdentifier" class="dashAnchor"></a>
                    <a class="token" href="#/s:13madme_ios_sdk12MMIdentifiera">MMIdentifier</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Identifier type alias.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">typealias</span> <span class="kt">MMIdentifier</span> <span class="o">=</span> <span class="kt">String</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2022 <a class="link" href="http://www.mad-me.com" target="_blank" rel="external noopener">mAdme</a>. All rights reserved. (Last updated: 2022-07-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.2</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
